
Redmine - Defect #21056

Project specific TimeEntryActivity name not updating properly

2015-10-23 18:18 - Stephane Evr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed Affected version: 3.2.2

Description

In Enumerations, create a new TimeEntryActivity with these settings:

 enum_01.PNG 

Go in a project / settings / Activities (time tracking) the activity is listed properly:

 enum_02.PNG 

Enable the activity, and save.

Then, in the Enumerations page, change the name of the activity and save.

 enum_04.PNG 

Now, go back to project / settings / Activities (time tracking):

 enum_03.PNG 

Expected: The name of the activity should be updated to the new name (Test B).

Note that I can force the update by clicking on the "Reset" button on the same page, but I then loose all of my other activities settings

for the project...

Related issues:

Related to Redmine - Defect #20018: Duplicate activities in time entry report... Closed

Associated revisions

Revision 21054 - 2021-06-30 04:39 - Go MAEDA

Project specific TimeEntryActivity name not updating properly (#21056).

Patch by Mizuki ISHIKAWA.

History

#1 - 2015-10-27 15:20 - Stephane Evr

Affected version is 3.1.0 (Not tested on 3.1.1)

#2 - 2015-11-21 13:12 - Toshi MARUYAMA

- Status changed from New to Needs feedback

I cannot reproduce.

Project setting page uses tabs, so you need to reload this page.

#3 - 2015-11-21 13:13 - Toshi MARUYAMA

- Affected version changed from 3.1.1 to 3.1.0

#4 - 2015-11-21 13:13 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

I cannot reproduce.

 On 3.1.2.
#5 - 2015-11-24 10:50 - Stephane Evr

Toshi MARUYAMA wrote:

I cannot reproduce.

Project setting page uses tabs, so you need to reload this page.

 Same problem after reloading the page, I will test with 3.1.2 to see if it is fixed.

#6 - 2016-03-18 12:42 - Stephane Evr

Toshi MARUYAMA wrote:

Toshi MARUYAMA wrote:

I cannot reproduce.

 On 3.1.2.

 Could reproduce the issue on 3.2.1-stable... I followed exactly the steps as described.

#7 - 2016-03-18 12:47 - Stephane Evr

Note that I think this issue is really annoying. This means that the projects will always keep the old activity names, resulting in discrepancies in the

time entry activities reports...

#8 - 2016-03-18 12:51 - Stephane Evr

#20018 Is a consequence of this issue

#9 - 2016-04-14 08:07 - Toshi MARUYAMA

See Submissions.

#10 - 2016-04-14 11:42 - Stephane Evr

Toshi MARUYAMA wrote:

See Submissions.

 Could reproduce the bug as described on a freshly launched Bitnami redmine demo instance (https://bitnami.com/launch/redmine/aws/now):

Environment:

  Redmine version                3.2.1.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.13

  Cvs                            1.12.13

  Git                            2.6.1

  Filesystem                     

Redmine plugins:

  no plugin installed

#11 - 2016-05-13 13:29 - Toshi MARUYAMA

I still cannot reproduce on vanilla Redmine.

Environment:

  Redmine version                3.2.2.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               SQLite

SCM:

  Subversion                     1.6.11

  Darcs                          2.2.0

  Mercurial                      2.8.2

  Cvs                            1.12.13
  Bazaar                         2.1.1

  Git                            1.7.1

  Filesystem

Redmine plugins:

  no plugin installed

#12 - 2016-05-13 13:33 - Toshi MARUYAMA

I still cannot reproduce on vanilla Redmine MySQL, too.

Environment:

  Redmine version                3.2.2.stable

  Ruby version                   2.1.8-p440 (2015-12-16) [x86_64-linux]

  Rails version                  4.2.5.2

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Darcs                          2.2.0

  Mercurial                      2.8.2

  Cvs                            1.12.13

  Bazaar                         2.1.1

  Git                            1.7.1

  Filesystem

Redmine plugins:

  no plugin installed

#13 - 2016-05-13 14:07 - Toshi MARUYAMA

- Subject changed from TimeEntryActivity name not updating properly in project to Project specific TimeEntryActivity name not updating properly

- Category changed from Administration to Time tracking

- Status changed from Needs feedback to Confirmed

- Affected version changed from 3.1.0 to 3.2.2

#14 - 2016-05-13 14:17 - Toshi MARUYAMA

- Related to Defect #20018: Duplicate activities in time entry report when project-specific activies exist added

#15 - 2016-05-13 14:37 - Toshi MARUYAMA

mysql> select * from enumerations where name = "test0003";

+----+----------+----------+------------+-------------------+--------+------------+-----------+---------------

+

| id | name     | position | is_default | type              | active | project_id | parent_id | position_name 

|

+----+----------+----------+------------+-------------------+--------+------------+-----------+---------------

+

| 33 | test0003 |        6 |          0 | TimeEntryActivity |      0 |       NULL |      NULL | NULL          

|

| 41 | test0003 |        6 |          0 | TimeEntryActivity |      1 |          1 |        33 | NULL          

|

| 45 | test0003 |        6 |          0 | TimeEntryActivity |      1 |          2 |        33 | NULL          

|

+----+----------+----------+------------+-------------------+--------+------------+-----------+---------------

+

3 rows in set (0.00 sec)

#16 - 2016-09-30 11:25 - Stephane Evr

Could reproduce on:

Environment:

  Redmine version                3.3.0.stable

  Ruby version                   2.1.10-p492 (2016-04-01) [x86_64-linux]

  Rails version                  4.2.6

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.9.4

  Cvs                            1.12.13

  Git                            2.7.4

  Filesystem                     

Redmine plugins:

  no plugin installed
#17 - 2017-07-10 23:11 - Marius BĂLTEANU

The issue still reproduces on 3.4.1.

#18 - 2021-06-03 14:36 - Sébastien Douheret

Problem still exists in 4.0.4 - stable.

Any change to have a fix or a workaround ?

What I don't understand, in my case some projects only use the system activities (IOW enumerations with parent_id = NULL) and other projects use

duplicate activities (activities with parent_id != NULL).

Any explanation about system versus project activities logic in redmine is welcome, it will help me to understand and propose a fix.

Thanks in advance.

#19 - 2021-06-10 07:14 - Mizuki ISHIKAWA

- File diff.patch added

Let's take the data of #21056#note-15 as an example.

"Administration> Enumerations> Activities (time tracking) New value" will create data like 33.

Then, when you save the settings for each project, data with project_id such as 41 or 45 will be generated.

I expect the 41 and 45 names to be updated when the 33 name is updated, but that's not really the case.

I have attached a patch that will automatically update 41 and 45 names when 33 name is updated.

Since the bug that the name is not updated has existed for a long time, it is possible that there is a project that has been used for a long time without

being renamed.

I thought that it might be a problem if I change it suddenly with this change, so I try not to update the ones whose names are already

inconsistent.(name: self.name_before_last_save)

#20 - 2021-06-10 07:22 - Mizuki ISHIKAWA

- File diff-v2.patch added

I fixed it because it contained unnecessary code.

#21 - 2021-06-22 10:27 - Go MAEDA

- Target version set to Candidate for next major release

#22 - 2021-06-25 04:29 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#23 - 2021-06-30 04:39 - Go MAEDA

- Status changed from Confirmed to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for fixing the issue.

Files

enum_03.PNG 2.4 KB 2015-10-23 Stephane Evr

enum_04.PNG 6.86 KB 2015-10-23 Stephane Evr

enum_02.PNG 2.51 KB 2015-10-23 Stephane Evr

enum_01.PNG 7.66 KB 2015-10-23 Stephane Evr

diff.patch 3.01 KB 2021-06-10 Mizuki ISHIKAWA

diff-v2.patch 2.53 KB 2021-06-10 Mizuki ISHIKAWA
